<div>I have configured FFMpeg as described below - at the bottom of the output listed below, from the configure tool, it says "License: LGPL version 2.1 or later" which I want to believe.</div><div> </div><div>Can anyone confirm that this aac encoder implementation is indeed LGPL.Is it just libaacplus which is not under the LGPL ?</div>
<div> </div><div><a href="mailto:dktca1@CZC209C69P"><em>dktca1@CZC209C69P</em></a><em> ~/ffmpeg-0.11.1<br>$  ./configure --disable-everything --enable-decoder=h264 --enable-encoder=aac<br>--enable-shared --disable-debug<br>
install prefix            /usr/local<br>source path               .<br>C compiler                gcc<br>ARCH                      x86 (generic)<br>big-endian                no<br>runtime cpu detection     no<br>yasm                      yes<br>
MMX enabled               yes<br>MMX2 enabled              yes<br>3DNow! enabled            yes<br>3DNow! extended enabled   yes<br>SSE enabled               yes<br>SSSE3 enabled             yes<br>AVX enabled               yes<br>
CMOV enabled              no<br>CMOV is fast              no<br>EBX available             yes<br>EBP available             yes<br>debug symbols             no<br>strip symbols             yes<br>optimize for size         no<br>
optimizations             yes<br>static                    yes<br>shared                    yes<br>postprocessing support    no<br>new filter support        yes<br>network support           yes<br>threading support         w32threads<br>
safe bitstream reader     yes<br>SDL support               no<br>libdxva2 enabled          no<br>libva enabled             no<br>libvdpau enabled          no<br>AVISynth enabled          no<br>frei0r enabled            no<br>
gnutls enabled            no<br>libaacplus enabled        no<br>libass enabled            no<br>libcdio support           no<br>libcelt enabled           no<br>libdc1394 support         no<br>libfaac enabled           no<br>
libgsm enabled            no<br>libmodplug enabled        no<br>libmp3lame enabled        no<br>libnut enabled            no<br>libopencore-amrnb support no<br>libopencore-amrwb support no<br>libopencv support         no<br>
libopenjpeg enabled       no<br>libpulse enabled          no<br>librtmp enabled           no<br>libschroedinger enabled   no<br>libspeex enabled          no<br>libstagefright-h264 enabled    no<br>libtheora enabled         no<br>
libutvideo enabled        no<br>libv4l2 enabled           no<br>libvo-aacenc support      no<br>libvo-amrwbenc support    no<br>libvorbis enabled         no<br>libvpx enabled            no<br>libx264 enabled           no<br>
libxavs enabled           no<br>libxvid enabled           no<br>openal enabled            no<br>openssl enabled           no<br>zlib enabled              no<br>bzlib enabled             no</em></div><p><em>Enabled decoders:<br>
h264</em></p><p><em>Enabled encoders:<br>aac</em></p><p><em>Enabled hwaccels:</em></p><p><em>Enabled parsers:</em></p><p><em>Enabled demuxers:</em></p><p><em>Enabled muxers:</em></p><p><em>Enabled protocols:</em></p><p><em>Enabled filters:<br>
aformat                 buffersink              format</em></p><p><em>Enabled bsfs:</em></p><p><em>Enabled indevs:</em></p><p><em>Enabled outdevs:</em></p><p><em>License: LGPL version 2.1 or later<br clear="all"></em><br>
</p>